---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_InstanceSource;'
    name:      Instance Source
    index:     109
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    instances:
    - instance: '&IDI_InstanceSource_System;'
      name: 'System'
    - instance: '&IDI_InstanceSource_Delivered;'
      name: 'Delivered'
    - instance: '&IDI_InstanceSource_Custom;'
      name: 'Custom'

  - relationship: '&IDR_Instance__has__Instance_Source;'
    index: 209
    sourceClassId: '&IDC_Instance;'
    type: 'has'
    destinationClassId: '&IDC_InstanceSource;'
    siblingRelationshipId: '&IDR_Instance_Source__for__Instance;'
    singular: yes

  - relationship: '&IDR_Instance_Source__for__Instance;'
    index: 210
    sourceClassId: '&IDC_InstanceSource;'
    type: 'for'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__has__Instance_Source;'
    singular: no